# std::chrono::current_zone

From cppreference.com
< cpp‎ | chrono

Defined in header `<chrono>` |  |
const std::chrono::time_zone* current_zone(); |  | (since C++20)

Convenience function for obtaining local time zone from the time zone database. Equivalent to std::chrono::get_tzdb().current_zone().

### Exceptions

std::runtime_error if this is the first reference to the time zone database and the time zone database cannot be initialized.

### Notes

A call to this function that is the first reference to the time zone database will cause it to be initialized.

### See also

current_zone | return the local time zone (public member function of `std::chrono::tzdb`)
get_tzdb get_tzdb_list reload_tzdb remote_version (C++20) | accesses and controls the global time zone database information (function)

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/chrono/current_zone&oldid=104648"